Debians sikkerhedsbulletin

DSA-4711-1 coturn -- sikkerhedsopdatering

Rapporteret den:
29. jun 2020
Berørte pakker:
coturn
Sårbar:
Ja
Referencer i sikkerhedsdatabaser:
I Debians fejlsporingssystem: Fejl 951876.
I Mitres CVE-ordbog: CVE-2020-4067, CVE-2020-6061, CVE-2020-6062.
Yderligere oplysninger:

Flere sårbarheder blev opdaget i coturn, en TURN- og STUN-server til VoIP.

  • CVE-2020-4067

    Felix Doerre rapporterede at STUN-svarbufferen ikke var korrekt initialiseret, hvilket kunne gøre det muligt for en angriber at lække bytes i padding-bytes fra en anden klients forbindelse.

  • CVE-2020-6061

    Aleksandar Nikolic rapporterede at en fabrikeret HTTP POST-forespørgsel kunne føre til informationslækager og anden dårlig opførsel.

  • CVE-2020-6062

    Aleksandar Nikolic rapporterede at en fabrikeret HTTP POST-forespørgsel kunne føre til servernedbrud og lammelsesangreb.

I den gamle stabile distribution (stretch), er disse problemer rettet i version 4.5.0.5-1+deb9u2.

I den stabile distribution (buster), er disse problemer rettet i version 4.5.1.1-1.1+deb10u1.

Vi anbefaler at du opgraderer dine coturn-pakker.

For detaljeret sikkerhedsstatus vedrørende coturn, se dens sikkerhedssporingssidede på: https://security-tracker.debian.org/tracker/coturn